# Cisco Cellular LTE

This package contains the two plugins _cisco_cellular_lte_ and _inv_cisco_cellular_lte_.\
There is a WATO rule for the check plugin and for the discovery. The are both called _Cisco cellular LTE_.

 <details><summary>cisco_cellular_lte</summary>

This check plugin will discover all cellular interfaces. If the have a 2G/3G/4G connection attached it will show

-    the connection status
-    the roaming state
-    the values for RSSI, RSRP and RSRQ
-    the bits/s in/out
-    the band used
-    the IP-Address associated with this connection


and in the deails
-    the current channel
-    the network code
-    the service typoe
-    the provider time
-    modem state and status
-    the APN
-    the configured and the current APN type

</details>
<details><summary>inv_cisco_cellular_lte</summary>

This inventory plugin adds under _Networking_ -> _Cellular_ (LTE) the following:

-    the IMEI (International Mobile Equipment Identifier)
-    the IMSI (International Mobile Subscriber Identifier)
-    the ICC ID (Integrated Circuit Card ID)
-    the MSISDN (Mobile Subscriber Integrated Services Digital Network Number)
-    the Network
-    the APN (Access Point Nam)
-    the Service type
-    the current band

With the inventory view _Search Cellular (LTE)_ you can filter and report on this data for all your hosts.
</details>

---
### Download
* [cisco_cellular_lte.mkp](https://thl-cmk.hopto.org/gitlab/checkmk/cisco/cisco_cellular_lte/-/raw/master/cisco_cellular_lte.mkp "Download the MKP file")
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install cisco_cellular_lte.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### WATO
<details><summary>check plugin</summary>

Rulename: Cisco cellular LTE\
Options
-   Lower levels for RSRP: default -100dBm/-115dBm
-   Lower levels for RSRQ: default -8dB/-15dB
-   Lower levels for RSSI: default -75 dBm/-85dBm
-   Monitoring state if the device is roaming: default WARN
-   Monitoring state if no GSM/LTE profile configured: default WARN
-   Monitoring state if the device is not connected: default WARN
-   Monitoring state if the modem is not up: default WARN
-   Monitoring state if the modem is not online: default WARN
</details> 

<details><summary>discovery</summary>

Rulename: Cisco cellular LTE\
Options
-   Discover not configured interfaces: default disabled
</details> 

<details><summary>inventory plugin</summary>
The inventory plugin is not configurable.
</details> 

---
### Check Info

* *service*: creates the service **_Cellular_** for each cellular interface with the cellular_interface_name as item

---
* *state*:
    * **warning**: 
        * if no GSM/LTE profile is configured
        * if 

    * **critical**/**warning**: 
        * if
---
* *perfdata (if avilable)*: 
    * Offset (s)
    * Delay (s)
    * Jitter (s)
    * Protocol errors (/s)
    * Version errors (/s)

---
### Sample Output and WATO

Sample output

![sample output](/doc/sample.jpg?raw=true "sample output")

Sample output details

![sample output details](/doc/sample-details.jpg?raw=true "sample output details")

WATO

![WATO options](/doc/wato.png?raw=true "WATO options")
